# Proof payment deletion

If the proof payment is closed, response code 409 is returned and the
document cannot be deleted. Proof payment is closed if:


- proof payment is/was linked to the invoice or


- there is a manual lock of proof payment.

Endpoint: DELETE /api/proof-payments/{code}
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `code` (string, required)
    Example: "P--2015000170-1"

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object,null, required)

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 404 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `metadata` (object)

## Response 409 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `metadata` (object)


